%define upstream_name    Dist-Zilla-Plugin-VerifyPhases
%define upstream_version 0.016

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Compare data and files at different phases of the distribution build process
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(Dist::Zilla::Role::EncodingProvider)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileInjector)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::FilePruner)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::LicenseProvider)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::NameProvider)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Software::License::Artistic_2_0)
BuildRequires: perl(Storable)
BuildRequires: perl(Term::ANSIColor) >= 3.0.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Deep::NoTest)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin runs in multiple the Dist::Zilla manpage phases to check what
actions have taken place so far. Its intent is to find any plugins that are
performing actions outside the appropriate phase, so they can be fixed.

Running at the end of the '-FileGatherer' phase, it verifies that the
following distribution properties have not yet been populated/calculated,
as they usually depend on having the full complement of files added to the
distribution, with known encodings:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.16.0-4.mga8
+ Revision: 1504257
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.16.0-3.mga7
+ Revision: 1283358
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.16.0-2.mga7
+ Revision: 1164276
- rebuild with fixed rpm for missing autodeps

* Tue Sep 26 2017 sander85 <sander85> 0.16.0-1.mga7
+ Revision: 1160087
- update to 0.016

* Sun Jun 19 2016 pterjan <pterjan> 0.14.0-2.mga6
+ Revision: 1026663
- Rebuild for perl 5.22.2

* Fri Apr 08 2016 shlomif <shlomif> 0.14.0-1.mga6
+ Revision: 999557
- Add missing BR
- update to 0.014

* Sun Jan 03 2016 shlomif <shlomif> 0.13.0-1.mga6
+ Revision: 919036
- Add missing BR
- imported package perl-Dist-Zilla-Plugin-VerifyPhases


* Sun Jan 03 2016 cpan2dist 0.013-1mga
- initial mageia release, generated with cpan2dist
